Skip to main content
GET
Get messages for a specific inbox.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

inboxId
string
required

Query Parameters

companyId
string

Company ID

page
integer

Page number

pageSize
integer

Items per page

query
string

Search query to filter messages

messageTypes
string

Comma-separated message types: received, sent_compose, sent_reply, draft

inboxIds
string

Comma-separated inbox IDs to filter by

liveSync
boolean

When true, synchronizes this inbox from its email provider before reading messages from the database

Response

List of messages for inbox

List of inbox messages

messages
object[]

List of messages

total
integer

Total count

fresh
boolean

For liveSync requests, whether every provider sync succeeded

liveSync
object

For liveSync requests, per-inbox provider sync results